<?php
// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include("connection.php"); 

// Set charset for database connection 
mysqli_set_charset($conn, "utf8mb4");



if (!$conn) {
    die("Connection failed: " . mysqli_connect_error());
}

if (isset($_POST['image']) && isset($_POST['title']) && isset($_POST['cetagory'])) {
    $image = $_POST['image'];
    $title = $_POST['title'];
    $cetagory = $_POST['cetagory'];
    
    $target_dir = "Images/";
    $imageStore = rand() . "_" . time() . ".jpeg";
    $target_path = $target_dir . $imageStore;

    // Check if $image contains base64 prefix and decode
    if (!empty($image) && strpos($image, 'base64,') !== false) {
        // Remove the base64 part
        $image = str_replace('data:image/jpeg;base64,', '', $image);
        $image = str_replace(' ', '+', $image); // Decode spaces to pluses
        $image = base64_decode($image);

        // Save the image file
        if (file_put_contents($target_path, $image) === false) {
            echo json_encode(["error" => "Failed to save image."]);
            exit;
        }
    } else {
        echo json_encode(["error" => "No image provided or invalid image data."]);
        exit;
    }

    // Prepare and execute the insert query
    $select = "INSERT INTO doctor_list (title, images, cetagory) VALUES ('$title', '$imageStore', '$cetagory')";
    $response = mysqli_query($conn, $select);

    if ($response) {
        echo json_encode(["success" => "Successfully Uploaded"]);
    } else {
        echo json_encode(["error" => "Upload Failed: " . mysqli_error($conn)]);
    }

    mysqli_close($conn); // Close connection
} else {
    echo json_encode(["error" => "Image data or other parameters not set."]);
}
?>
