<?php

include "connection.php";

// Retrieve posted data
$id = $_POST['id'];
$name = $_POST['name'];
$address = $_POST['address'];
$numbar = $_POST['numbar'];
$date = $_POST['donate_date'];
$bloodgroup = $_POST['blood_group'];

// Prepare the SQL statement to prevent SQL injection
$stmt = $conn->prepare("UPDATE donar_list SET name = ?, address = ?, numbar = ?, date = ?, bloodgroup = ? WHERE id = ?");
$stmt->bind_param("ssssss", $name, $address, $numbar, $date, $bloodgroup, $id);

// Execute the statement and check the result
if ($stmt->execute()) {
    echo "Data updated successfully!";
} else {
    echo "Data update failed: " . $stmt->error; // Provide specific error information
}

// Close the statement and database connection
$stmt->close();
mysqli_close($conn);

?>
