<?php
include "connection.php";
// Set header for JSON response
header('Content-Type: application/json; charset=utf-8');



// Set character set to utf8mb4 to support Bangla characters
mysqli_set_charset($conn, "utf8mb4");

// SQL query to fetch data from slider_list
$sql = "SELECT * FROM slider_list";
$result = mysqli_query($conn, $sql);

// Initialize data array
$data = [];

// Fetch data and populate the array
if ($result) {
    while ($item = mysqli_fetch_assoc($result)) {
        $info = [
            'id' => $item['id'],
            'images' => $item['images']
        ];
        $data[] = $info; // Add item to data array
    }

    // Free result set
    mysqli_free_result($result);
} else {
    echo json_encode(['error' => 'Query failed: ' . mysqli_error($conn)]);
    exit();
}

// Encode and return data as JSON
echo json_encode($data);

// Close the database connection
mysqli_close($conn);
?>
