<?php
include "connection.php";
mysqli_set_charset($conn, 'utf8mb4');


if (isset($_POST['name'])) {
    
    $name = $_POST['name'];
    $address = $_POST['address'];
    $numbar = $_POST['numbar'];
    $date = $_POST['date'];
    $group = $_POST['bloodgroup'];
    $cetagory = $_POST['cetagory'];

    // Define the target directory for images
    $target_dir = "Images/";
    
    // Ensure the directory exists and is writable
    if (!is_dir($target_dir)) {
        mkdir($target_dir, 0755, true);
    }

    // Generate a unique filename
    $imageStore = rand() . "_" . time() . ".jpeg";
    $target_file = $target_dir . $imageStore;



    // Save the image
    
    if(isset($_FILES["image"])) {
        // $fileName = urldecode(basename($_FILES["file"]["name"]));
        // $target_file = $targetDirectory . $fileName;
    
        if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            //Image uploaded
        } else {
            //Image move failed
        }
    }
    
    
    

    // Prepare the SQL statement to prevent SQL injection
    $stmt = $conn->prepare("INSERT INTO donar_list (name, address, numbar, date, bloodgroup, images, cetagory) VALUES (?, ?, ?, ?, ?, ?, ?)");
    $stmt->bind_param("sssssss", $name, $address, $numbar, $date, $group, $imageStore, $cetagory);
    
    // Execute the prepared statement
    if ($stmt->execute()) {
        echo "Successfully Uploaded";
    } else {
        echo "Upload Failed: " . $stmt->error; // Display error message
    }

    // Close the statement and connection
    $stmt->close();
}

// Close the connection
if ($conn) {
    $conn->close();
}
?>