<?php
// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include "connection.php";

// Set charset for database connection 
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['id']) && isset($_POST['name'])) {
    
    $id = $_POST['id'];  // Doctor ID to identify which record to update
    $name = $_POST['name'];
    $expart = $_POST['expart']; 
    $qualification = $_POST['qualification'];
    $details = $_POST['details'];
    $phone = $_POST['phone'];
   
    
    // Define the target directory for images
    $target_dir = "Images/";
    
    // Ensure the directory exists and is writable
    if (!is_dir($target_dir)) {
        mkdir($target_dir, 0755, true);
    }

    // Generate a unique filename
    $imageStore = rand() . "_" . time() . ".jpeg";
    $target_file = $target_dir . $imageStore;


    // Save the image
    
    if(isset($_FILES["image"])) {
        // $fileName = urldecode(basename($_FILES["file"]["name"]));
        // $target_file = $targetDirectory . $fileName;
    
        if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            //Image uploaded
        } else {
            //Image move failed
        }
    }
    
    
    
    

    // Update the doctor record in the database
    if ($imageStore) {
        $update = "UPDATE doctor_data_list SET 
                   name = '$name', 
                   expart = '$expart', 
                   qualification = '$qualification', 
                   details = '$details', 
                   phone = '$phone', 
                   images = '$imageStore' 
                   WHERE id = '$id'";
    } else {
        // If no new image uploaded, update without changing the image field
        $update = "UPDATE doctor_data_list SET 
                   name = '$name', 
                   expart = '$expart', 
                   qualification = '$qualification', 
                   details = '$details', 
                   phone = '$phone' 
                   WHERE id = '$id'";
    }

    $responce = mysqli_query($conn, $update);

    if ($responce) {
        echo "Successfully Updated";
        mysqli_close($conn);
    } else {
        echo "Update Failed";
    }
    
    
    
}



?>
